NVRAM(4)

NAME
nvram - driver for reading PC NVRAM contents

SYNOPSIS
pseudo-device nvram 1

DESCRIPTION
The nvram device provides read-only access to the non-volatile memory contained in the MC146818 real-time clock.

This data is provided as a seekable character device, /dev/nvram. Checksums of the NVRAM contents are calculated over bytes 2 to 31 and stored in byte 32. A valid checksum is required for the driver to initialize.

FILES

/dev/nvram

HISTORY
nvram support was originally included in OpenBSD 3.7.